from django.contrib.auth.models import AbstractUser
from django.db import models
from django.core.validators import MinValueValidator

from uncloud import AMOUNT_DECIMALS, AMOUNT_MAX_DIGITS

class User(AbstractUser):
    """
    We use the standard user and add a maximum credit that is allowed
    to be accumulated. After that we need to have warnings, cancellation, etc.
    """

    maximum_credit = models.DecimalField(
            default=0.0,
            max_digits=AMOUNT_MAX_DIGITS,
            decimal_places=AMOUNT_DECIMALS,
            validators=[MinValueValidator(0)])
